# AD Kennwortbenachrichtigung

Dieses PowerShell-Skript dient dazu, Kennwortablaufbenachrichtigungen an Benutzer zu senden. Das Skript beruht auf Active Directory-Passwortrichtlinien und sendet E-Mails an Benutzer, deren Kennwörter in Kürze ablaufen. Hier sind die wichtigsten Variablen:

-   **$MaxPasswordAge** Das Skript verwendet die in der Variable $MaxPasswordAge festgelegte Anzahl von Tagen, um das maximale Alter von Kennwörtern festzulegen.
    
-   **$WarningLevel:** Das Skript warnt Benutzer, die sich der Kennwortänderung nähern, indem es die in der Variable $WarningLevel festgelegte Anzahl von Tagen verwendet.
    
-   **$SMTPServer:** Hier wird der SMTP Server eingetragen.

-   **$FromName:** Der Absendername, welcher der Mail mitgegeben wird.

-   **$FromEmail:** Dies ist die Absendermailadresse.

-   **$Subject:** Der Betreff der Mail.
    
Es durchläuft alle aktiven Active Directory-Benutzer, berechnet das Ablaufdatum ihrer Kennwörter und speichert diejenigen, die sich dem Ablaufdatum nähern, in einer Liste.

Schließlich werden Benachrichtigungs-E-Mails an diese Benutzer gesendet, die sie darüber informieren, dass ihr Kennwort in Kürze abläuft. Die E-Mails enthalten Informationen über den Dienst, für den das Kennwort verwendet wird, das Ablaufdatum des Kennworts und die Anweisungen zum Ändern des Kennworts gemäß den Kennwortrichtlinien.

Die E-Mails werden im HTML-Format erstellt und der Mail Body temporär hier abgelegt: "C:\temp\mailbody.html"

**Hinweis:** Das Skript ist spezifisch für die Verwendung in einer bestimmten Umgebung konfiguriert und erfordert möglicherweise Anpassungen, um in anderen Umgebungen ordnungsgemäß zu funktionieren.

Das Script wurde erfolgreich auf einem Windows Server 2016 mit eingerichteten Active Directory getestet.
